;**************************************************************
;***    EMS542.ASM                                          ***
;***                                                        ***
;***    function        EMS_Ems.getTotalHandles40(          ***
;***                        var handles:    Word)           ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    Returns total number of allocated handles to        ***
;***    pointer.                                            ***
;***                                                        ***
;***    Returns 0 if no error or an error code.             ***
;***                                                        ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 4.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_Ems@getTotalHandles40

        .code

EMS_Ems@getTotalHandles40 proc handles:Far Ptr Word, self:DWord

        mov     ax,GetTotalHandles40    ; Do EMS call
        int     Ems           

        or      ah,ah                   ; Set flags
        jnz     error

        mov     ax,bx                   ; Number of handles
        les     bx,handles              ; Return it
        mov     es:[bx],ax

        xor     ax,ax                   ; Return OK
        ret         

error:
        mov     al,ah                   ; AL gets error code
        xor     ah,ah                   ; Zero extend
        mov     errno,ax                ; Save in errno too
        ret

EMS_Ems@getTotalHandles40 endp              ; End of procedure

        end                             ; End of source file
